from django.db import models

class Artist(models.Model):
    artist_name = models.CharField(max_length = 100)
    monthly_listeners = models.IntegerField(default = 0)
    birth_name = models.CharField(max_length = 100, blank = True)
    bio = models.TextField(max_length = 700, blank = True)

class Album(models.Model):
    album_name = models.CharField(max_length = 100)
    artist = models.CharField(max_length = 100)
    description = models.CharField(max_length = 500)
    release_date = models.DateField()
    label = models.CharField(max_length = 100, blank = True)
    song_count = models.IntegerField(default = 0)

class Song(models.Model):
    song_title = models.CharField(max_length = 100)
    artist = models.CharField(max_length = 100)
    album = models.CharField(max_length = 100)
    song_length = models.IntegerField(default = 0)
    music_video = models.BooleanField(default = False)
    lyrics = models.TextField(blank = True)


